import { IMidwayContainer } from '@midwayjs/core';
import { Route } from '../../types/config';
import { ComponentOptions, CreateApiOptions, HooksGatewayAdapter } from '../../types/gateway';
import { createHTTPApiClient } from './client';
import { HTTPRouter } from './router';
export declare class HTTPGateway implements HooksGatewayAdapter {
    static is(route: Route): boolean;
    static router: typeof HTTPRouter;
    static createApiClient: typeof createHTTPApiClient;
    options: ComponentOptions;
    container: IMidwayContainer;
    router: HTTPRouter;
    constructor(options: ComponentOptions);
    createApi(options: CreateApiOptions): void;
    createHTTPApi(httpPath: string, options: CreateApiOptions): void;
    getMiddleware(): ((...args: any[]) => any)[];
    deserializeSuperjson(next: any): Promise<void>;
    handleError: (next: any) => Promise<void>;
    afterCreate(): void;
    get isViteProject(): boolean;
}
